<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.1.2.2
Description: Ein am Ende des Briefes formulierter Freitext. Der Text soll keine fachlich relevante Information beinhalten.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.1.2.2">
   <title>Abschließende Bemerkungen</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.2']]
Item: (AbschliessendeBemerkung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.2']]"
         id="tmp-be7decda-6c6b-4275-a61c-18c6e6b66dda">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.1.2.2.html"
              test="count(* except (hl7:section))=0"> This template is defined as closed, no other elements than those defined are allowed. </assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.2']]/hl7:section
Item: (AbschliessendeBemerkung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.2']]/hl7:section"
         id="tmp-b479eeac-0451-4920-94ae-8f9b002e7c82">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.1.2.2.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.2.2'])&gt;=1 ">(AbschliessendeBemerkung): Element hl7:templateId[@root='1.2.40.0.34.11.1.2.2'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.1.2.2.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.2.2'])&lt;=1">(AbschliessendeBemerkung): Element hl7:templateId[@root='1.2.40.0.34.11.1.2.2'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.1.2.2.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(AbschliessendeBemerkung): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.1.2.2.html"
              test="count(hl7:code)&lt;=1">(AbschliessendeBemerkung): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.1.2.2.html"
              test="count(hl7:title)&gt;=1 ">(AbschliessendeBemerkung): Element hl7:title ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.1.2.2.html"
              test="count(hl7:title)&lt;=1">(AbschliessendeBemerkung): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.1.2.2.html"
              test="count(hl7:text)&gt;=1 ">(AbschliessendeBemerkung): Element hl7:text ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.1.2.2.html"
              test="count(hl7:text)&lt;=1">(AbschliessendeBemerkung): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.2']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.1.2.2']
Item: (AbschliessendeBemerkung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.2']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.1.2.2']"
         id="tmp-493ff62b-1605-4bb8-8dd8-b5408f62395a">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.1.2.2.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(AbschliessendeBemerkung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.1.2.2.html"
              test="@root='1.2.40.0.34.11.1.2.2'">(AbschliessendeBemerkung): @root MUSS den Wert '1.2.40.0.34.11.1.2.2' haben.</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.1.2.2.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(AbschliessendeBemerkung): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.2']]/hl7:section/hl7:code
Item: (AbschliessendeBemerkung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.2']]/hl7:section/hl7:code"
         id="tmp-e2827e36-a1b1-40fd-aa2f-4fe6ee34ab2e">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.1.2.2.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(AbschliessendeBemerkung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CE" haben</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.1.2.2.html"
              test="@nullFlavor or (@code='ABBEM' and @codeSystem='1.2.40.0.34.5.40' and @displayName='Abschließende Bemerkungen')">(AbschliessendeBemerkung): Der Wert von @code/@codeSystem MUSS ''ABBEM' codeSystem '1.2.40.0.34.5.40' displayName='Abschließende Bemerkungen'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.2']]/hl7:section/hl7:title
Item: (AbschliessendeBemerkung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.2']]/hl7:section/hl7:title"
         id="tmp-e6af0462-cc8b-4322-a50d-5b2522f1b763">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.1.2.2.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(AbschliessendeBemerkung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ST" haben</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.1.2.2.html"
              test="text()='Abschließende Bemerkungen'">(AbschliessendeBemerkung): Der Elementinhalt von 'hl7:title' MUSS ''Abschließende Bemerkungen'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.2']]/hl7:section/hl7:text
Item: (AbschliessendeBemerkung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.2']]/hl7:section/hl7:text"
         id="tmp-4b25fccb-5b43-4a67-a62e-863b0f479f50">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.1.2.2.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(AbschliessendeBemerkung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ST" haben</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>