<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.1.2.4
Description: Alle Patientenverfügungen und diejenigen juridischen Dokumente, welche als „wichtig“ erachtet werden. Die Aufstellung soll narrativ in tabellarischer Form erfolgen und die „Art des
                vorliegenden Dokuments“, sowie den Hinweis „wo dieses aufliegt“ enthalten. Beispiel: „Testament“ – „liegt bei Tochter auf“
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.1.2.4">
   <title>Patientenverfügung</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.4
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.4']]
Item: (Patientenverfuegung)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.4
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.4']]/hl7:section
Item: (Patientenverfuegung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.4']]/hl7:section"
         id="tmp-fc60722f-d78f-4bf0-af55-bd230c38bca9">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.1.2.4.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.2.4'])&gt;=1 ">(Patientenverfuegung): Element hl7:templateId[@root='1.2.40.0.34.11.1.2.4'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.1.2.4.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.2.4'])&lt;=1">(Patientenverfuegung): Element hl7:templateId[@root='1.2.40.0.34.11.1.2.4'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.1.2.4.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.34'])&gt;=1 ">(Patientenverfuegung): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.34'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.1.2.4.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.34'])&lt;=1">(Patientenverfuegung): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.34'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.1.2.4.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.1.1'])&gt;=1 ">(Patientenverfuegung): Element hl7:templateId[@root='2.16.840.1.113883.10.20.1.1'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.1.2.4.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.1.1'])&lt;=1">(Patientenverfuegung): Element hl7:templateId[@root='2.16.840.1.113883.10.20.1.1'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.1.2.4.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Patientenverfuegung): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.1.2.4.html"
              test="count(hl7:code)&lt;=1">(Patientenverfuegung): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.1.2.4.html"
              test="count(hl7:title)&gt;=1 ">(Patientenverfuegung): Element hl7:title ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.1.2.4.html"
              test="count(hl7:title)&lt;=1">(Patientenverfuegung): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.1.2.4.html"
              test="count(hl7:text)&gt;=1 ">(Patientenverfuegung): Element hl7:text ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.1.2.4.html"
              test="count(hl7:text)&lt;=1">(Patientenverfuegung): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.4
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.4']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.1.2.4']
Item: (Patientenverfuegung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.4']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.1.2.4']"
         id="tmp-6bd20cc8-feed-470c-9357-1ec63e66ec17">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.1.2.4.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Patientenverfuegung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.1.2.4.html"
              test="@root='1.2.40.0.34.11.1.2.4'">(Patientenverfuegung): @root MUSS den Wert '1.2.40.0.34.11.1.2.4' haben.</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.1.2.4.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Patientenverfuegung): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.4
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.4']]/hl7:section/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.34']
Item: (Patientenverfuegung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.4']]/hl7:section/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.34']"
         id="tmp-eee2c5d6-56ef-450b-b05b-2dda8957f251">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.1.2.4.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Patientenverfuegung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.1.2.4.html"
              test="@root='1.3.6.1.4.1.19376.1.5.3.1.3.34'">(Patientenverfuegung): @root MUSS den Wert '1.3.6.1.4.1.19376.1.5.3.1.3.34' haben.</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.1.2.4.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Patientenverfuegung): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.4
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.4']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.10.20.1.1']
Item: (Patientenverfuegung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.4']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.10.20.1.1']"
         id="tmp-6203621c-22d0-4360-8f55-08bb208a0a93">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.1.2.4.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Patientenverfuegung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.1.2.4.html"
              test="@root='2.16.840.1.113883.10.20.1.1'">(Patientenverfuegung): @root MUSS den Wert '2.16.840.1.113883.10.20.1.1' haben.</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.1.2.4.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Patientenverfuegung): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.4
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.4']]/hl7:section/hl7:code
Item: (Patientenverfuegung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.4']]/hl7:section/hl7:code"
         id="tmp-c62b1302-b3ba-408b-aa98-5490d65634a1">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.1.2.4.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(Patientenverfuegung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CE" haben</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.1.2.4.html"
              test="@nullFlavor or (@code='42348-3' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Advance directives')">(Patientenverfuegung): Der Wert von @code/@codeSystem MUSS ''42348-3' codeSystem '2.16.840.1.113883.6.1' displayName='Advance directives'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.4
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.4']]/hl7:section/hl7:title
Item: (Patientenverfuegung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.4']]/hl7:section/hl7:title"
         id="tmp-679addd2-9b4b-4463-a30e-70c21fe44ff4">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.1.2.4.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(Patientenverfuegung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ST" haben</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.1.2.4.html"
              test="text()='Patientenverfügungen und andere juridische Dokumente'">(Patientenverfuegung): Der Elementinhalt von 'hl7:title' MUSS ''Patientenverfügungen und andere juridische Dokumente'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.4
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.4']]/hl7:section/hl7:text
Item: (Patientenverfuegung)
-->
</pattern>