<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.1.2.8
Description: Wird ausschließlich als Untersektion zu einer fachlichen Sektion angewandt. Enthält die Risiken zum Thema der übergeordneten Sektion als narrative Beschreibung oder
                Auflistung.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.1.2.8">
   <title>Risiken</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.8
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.8']]
Item: (Risiken)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.8
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.8']]/hl7:section
Item: (Risiken)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.8']]/hl7:section"
         id="tmp-f3784297-276c-4235-beea-317bac19d695">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.1.2.8.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.2.8'])&gt;=1 ">(Risiken): Element hl7:templateId[@root='1.2.40.0.34.11.1.2.8'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.1.2.8.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.2.8'])&lt;=1">(Risiken): Element hl7:templateId[@root='1.2.40.0.34.11.1.2.8'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.1.2.8.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Risiken): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.1.2.8.html"
              test="count(hl7:code)&lt;=1">(Risiken): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.1.2.8.html"
              test="count(hl7:title)&gt;=1 ">(Risiken): Element hl7:title ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.1.2.8.html"
              test="count(hl7:title)&lt;=1">(Risiken): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.1.2.8.html"
              test="count(hl7:text)&gt;=1 ">(Risiken): Element hl7:text ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.1.2.8.html"
              test="count(hl7:text)&lt;=1">(Risiken): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.8
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.8']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.1.2.8']
Item: (Risiken)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.8']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.1.2.8']"
         id="tmp-04d2b3f4-3d6a-4a5c-9df2-182e31b8d3e1">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.1.2.8.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Risiken): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.1.2.8.html"
              test="@root='1.2.40.0.34.11.1.2.8'">(Risiken): @root MUSS den Wert '1.2.40.0.34.11.1.2.8' haben.</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.1.2.8.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Risiken): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.8
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.8']]/hl7:section/hl7:code
Item: (Risiken)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.8']]/hl7:section/hl7:code"
         id="tmp-259b1938-4b17-4119-a6f2-94d5584ba469">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.1.2.8.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(Risiken): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CE" haben</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.1.2.8.html"
              test="@nullFlavor or (@code='51898-5' and @codeSystem='2.16.840.1.113883.6.1')">(Risiken): Der Wert von @code/@codeSystem MUSS ''51898-5' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.8
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.8']]/hl7:section/hl7:title
Item: (Risiken)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.8']]/hl7:section/hl7:title"
         id="tmp-bf952189-6f5d-4333-83a4-ff485bd09bfb">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.1.2.8.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(Risiken): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ST" haben</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.1.2.8.html"
              test="text()='Risiken'">(Risiken): Der Elementinhalt von 'hl7:title' MUSS ''Risiken'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.8
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.8']]/hl7:section/hl7:text
Item: (Risiken)
-->
</pattern>