<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.2.2.18
Description: Anamnese des Patienten.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.2.2.18">
   <title>Anamnese (ärztlich)</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.18
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.18']]
Item: (AnamneseAerztlich)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.18
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.18']]/hl7:section
Item: (AnamneseAerztlich)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.18']]/hl7:section"
         id="tmp-62197bf2-54d3-4d35-96a7-516d5d12d245">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.18.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.18'])&gt;=1 ">(AnamneseAerztlich): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.18'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.18.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.18'])&lt;=1">(AnamneseAerztlich): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.18'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.18.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.4'])&gt;=1 ">(AnamneseAerztlich): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.4'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.18.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.4'])&lt;=1">(AnamneseAerztlich): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.4'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.18.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(AnamneseAerztlich): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.18.html"
              test="count(hl7:code)&lt;=1">(AnamneseAerztlich): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.18.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(AnamneseAerztlich): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.18.html"
              test="count(hl7:title)&lt;=1">(AnamneseAerztlich): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.18.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(AnamneseAerztlich): Element hl7:text ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.18.html"
              test="count(hl7:text)&lt;=1">(AnamneseAerztlich): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.18
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.18']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.18']
Item: (AnamneseAerztlich)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.18']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.18']"
         id="tmp-60c8079d-6027-4e30-8196-71e18f263ee3">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.18.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(AnamneseAerztlich): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.18.html"
              test="@root='1.2.40.0.34.11.2.2.18'">(AnamneseAerztlich): @root MUSS den Wert '1.2.40.0.34.11.2.2.18' haben.</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.18.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(AnamneseAerztlich): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.18
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.18']]/hl7:section/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.4']
Item: (AnamneseAerztlich)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.18']]/hl7:section/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.4']"
         id="tmp-b6e9530d-c740-4c25-895c-fe5cf74a1802">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.18.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(AnamneseAerztlich): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.18.html"
              test="@root='1.3.6.1.4.1.19376.1.5.3.1.3.4'">(AnamneseAerztlich): @root MUSS den Wert '1.3.6.1.4.1.19376.1.5.3.1.3.4' haben.</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.18.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(AnamneseAerztlich): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.18
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.18']]/hl7:section/hl7:code
Item: (AnamneseAerztlich)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.18']]/hl7:section/hl7:code"
         id="tmp-e60b9472-a2bd-46bc-a6a8-3cb0760ad713">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.18.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(AnamneseAerztlich): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CE" haben</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.18.html"
              test="@nullFlavor or (@code='10164-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='History of present illness')">(AnamneseAerztlich): Der Wert von @code/@codeSystem MUSS ''10164-2' codeSystem '2.16.840.1.113883.6.1' displayName='History of present illness'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.18
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.18']]/hl7:section/hl7:title
Item: (AnamneseAerztlich)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.18']]/hl7:section/hl7:title"
         id="tmp-84e73df9-2855-43f4-bfef-c42a9af7d115">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.18.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(AnamneseAerztlich): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ST" haben</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.18.html"
              test="text()='Anamnese'">(AnamneseAerztlich): Der Elementinhalt von 'hl7:title' MUSS ''Anamnese'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.18
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.18']]/hl7:section/hl7:text
Item: (AnamneseAerztlich)
-->
</pattern>