<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.2.2.19
Description: Liste der bisherigen Krankheiten des Patienten.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.2.2.19">
   <title>Frühere Erkrankungen</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.19
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.19']]
Item: (FruehereErkrankungen)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.19
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.19']]/hl7:section
Item: (FruehereErkrankungen)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.19']]/hl7:section"
         id="tmp-7199915a-6635-4767-b61d-5138d9679383">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.19.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.19'])&gt;=1 ">(FruehereErkrankungen): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.19'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.19.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.19'])&lt;=1">(FruehereErkrankungen): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.19'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.19.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(FruehereErkrankungen): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.19.html"
              test="count(hl7:code)&lt;=1">(FruehereErkrankungen): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.19.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(FruehereErkrankungen): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.19.html"
              test="count(hl7:title)&lt;=1">(FruehereErkrankungen): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.19.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(FruehereErkrankungen): Element hl7:text ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.19.html"
              test="count(hl7:text)&lt;=1">(FruehereErkrankungen): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.19
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.19']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.19']
Item: (FruehereErkrankungen)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.19']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.19']"
         id="tmp-1e04605f-7ba7-47a3-8b6e-c87d83556320">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.19.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(FruehereErkrankungen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.19.html"
              test="@root='1.2.40.0.34.11.2.2.19'">(FruehereErkrankungen): @root MUSS den Wert '1.2.40.0.34.11.2.2.19' haben.</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.19.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(FruehereErkrankungen): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.19
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.19']]/hl7:section/hl7:code
Item: (FruehereErkrankungen)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.19']]/hl7:section/hl7:code"
         id="tmp-8b6887ec-49fd-4153-bef0-65004963114a">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.19.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(FruehereErkrankungen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CE" haben</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.19.html"
              test="@nullFlavor or (@code='11348-0' and @codeSystem='2.16.840.1.113883.6.1')">(FruehereErkrankungen): Der Wert von @code/@codeSystem MUSS ''11348-0' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.19
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.19']]/hl7:section/hl7:title
Item: (FruehereErkrankungen)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.19']]/hl7:section/hl7:title"
         id="tmp-c4bd631b-e771-43be-b365-e470bb49e47d">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.19.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(FruehereErkrankungen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ST" haben</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.19.html"
              test="text()='Frühere Erkrankungen'">(FruehereErkrankungen): Der Elementinhalt von 'hl7:title' MUSS ''Frühere Erkrankungen'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.19
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.19']]/hl7:section/hl7:text
Item: (FruehereErkrankungen)
-->
</pattern>