<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.2.2.2
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.2.2.2">
   <title>Entlassungsdiagnose (enhanced)</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]
Item: (EntlassungsdiagnoseEnhanced)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section
Item: (EntlassungsdiagnoseEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section"
         id="tmp-9e6d7efc-20f2-45c7-96a5-924f50afd85c">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.2.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.2'])&gt;=1 ">(EntlassungsdiagnoseEnhanced): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.2'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.2.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.2'])&lt;=1">(EntlassungsdiagnoseEnhanced): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.2'] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.2']
Item: (EntlassungsdiagnoseEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.2']"
         id="tmp-ca9529be-6c6c-4047-9f9b-8b38cbe7bda0">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.2.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(EntlassungsdiagnoseEnhanced): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.2.html"
              test="@root='1.2.40.0.34.11.2.2.2'">(EntlassungsdiagnoseEnhanced): @root MUSS den Wert '1.2.40.0.34.11.2.2.2' haben.</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.2.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(EntlassungsdiagnoseEnhanced): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section/hl7:code
Item: (EntlassungsdiagnoseAlleEIS)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section/hl7:code"
         id="tmp-5f683db0-2542-422d-bc99-3b8f180a9eba">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.2.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(EntlassungsdiagnoseAlleEIS): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CE" haben</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.2.html"
              test="@nullFlavor or (@code='11535-2' and @codeSystem='2.16.840.1.113883.6.1')">(EntlassungsdiagnoseAlleEIS): Der Wert von @code/@codeSystem MUSS ''11535-2' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section
Item: (EntlassungsdiagnoseAlleEIS)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section/hl7:title
Item: (EntlassungsdiagnoseAlleEIS)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section/hl7:title"
         id="tmp-f2a84214-aa6e-4608-b38d-267f4283e078">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.2.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(EntlassungsdiagnoseAlleEIS): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ST" haben</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.2.html"
              test="text()='Entlassungsdiagnosen' or text()='Diagnosen bei Entlassung'">(EntlassungsdiagnoseAlleEIS): Der Elementinhalt von 'hl7:title' MUSS ''Entlassungsdiagnosen' oder 'Diagnosen bei Entlassung'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section/hl7:title
Item: (EntlassungsdiagnoseAlleEIS)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section/hl7:title"
         id="tmp-8d77c880-badf-429d-a481-55a6e0bd0773">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.2.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(EntlassungsdiagnoseAlleEIS): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ST" haben</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.2.html"
              test="text()='Diagnosen bei Entlassung'">(EntlassungsdiagnoseAlleEIS): Der Elementinhalt von 'hl7:title' MUSS ''Diagnosen bei Entlassung'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section/hl7:text
Item: (EntlassungsdiagnoseAlleEIS)
-->
</pattern>