<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.2.2.20
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.2.2.20">
   <title>Medikation bei Einweisung (enhanced)</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.20
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.20']]
Item: (MedikationEinweisungEnhanced)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.20
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.20']]/hl7:section
Item: (MedikationEinweisungEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.20']]/hl7:section"
         id="tmp-9a5de83b-0024-4ee1-9290-d04e1f195f61">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.20.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.20'])&gt;=1 ">(MedikationEinweisungEnhanced): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.20'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.20.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.20'])&lt;=1">(MedikationEinweisungEnhanced): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.20'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.20.html"
              test="count(hl7:entry)=0">(MedikationEinweisungEnhanced): Element @hl7:entry DARF NICHT vorkommen.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.20
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.20']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.20']
Item: (MedikationEinweisungEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.20']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.20']"
         id="tmp-0e70bc64-8f03-4233-9595-545a074965bf">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.20.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(MedikationEinweisungEnhanced): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.20.html"
              test="@root='1.2.40.0.34.11.2.2.20'">(MedikationEinweisungEnhanced): @root MUSS den Wert '1.2.40.0.34.11.2.2.20' haben.</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.20.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(MedikationEinweisungEnhanced): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.20
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.20']]/hl7:section/hl7:code
Item: (MedikationEinweisungAlleEIS)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.20']]/hl7:section/hl7:code"
         id="tmp-e1f78e71-ce6c-433f-8963-c67f1cdbe24a">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.20.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(MedikationEinweisungAlleEIS): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CE" haben</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.20.html"
              test="@nullFlavor or (@code='42346-7' and @codeSystem='2.16.840.1.113883.6.1')">(MedikationEinweisungAlleEIS): Der Wert von @code/@codeSystem MUSS ''42346-7' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.20
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.20']]/hl7:section/hl7:title
Item: (MedikationEinweisungAlleEIS)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.20']]/hl7:section/hl7:title"
         id="tmp-9b5c08cf-8777-4d4f-9116-1e7636ed166d">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.20.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(MedikationEinweisungAlleEIS): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ST" haben</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.20.html"
              test="text()='Medikation bei Einweisung'">(MedikationEinweisungAlleEIS): Der Elementinhalt von 'hl7:title' MUSS ''Medikation bei Einweisung'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.20
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.20']]/hl7:section/hl7:text
Item: (MedikationEinweisungAlleEIS)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.20
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.20']]/hl7:section/hl7:entry
Item: (MedikationEinweisungEnhanced)
-->
</pattern>