<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.2.2.4
Description: Kurzbeschreibung sämtlicher während des Aufenthalts durchgeführten Maßnahmen, wie OPs, Eingriffe oder sonstige Maßnahmen.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.2.2.4">
   <title>Durchgeführte Maßnahmen</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.4
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.4']]
Item: (DurchgefuehrteMassnahmen)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.4
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.4']]/hl7:section
Item: (DurchgefuehrteMassnahmen)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.4']]/hl7:section"
         id="tmp-f427a557-1932-4e2c-92f2-085baca27dc0">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.4.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.4'])&gt;=1 ">(DurchgefuehrteMassnahmen): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.4'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.4.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.4'])&lt;=1">(DurchgefuehrteMassnahmen): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.4'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.4.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(DurchgefuehrteMassnahmen): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.4.html"
              test="count(hl7:code)&lt;=1">(DurchgefuehrteMassnahmen): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.4.html"
              test="count(hl7:title)&gt;=1 ">(DurchgefuehrteMassnahmen): Element hl7:title ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.4.html"
              test="count(hl7:title)&lt;=1">(DurchgefuehrteMassnahmen): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.4.html"
              test="count(hl7:text)&gt;=1 ">(DurchgefuehrteMassnahmen): Element hl7:text ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.4.html"
              test="count(hl7:text)&lt;=1">(DurchgefuehrteMassnahmen): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.4
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.4']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.4']
Item: (DurchgefuehrteMassnahmen)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.4']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.4']"
         id="tmp-22457df9-c986-4502-baaa-b4ecfd806775">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.4.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(DurchgefuehrteMassnahmen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.4.html"
              test="@root='1.2.40.0.34.11.2.2.4'">(DurchgefuehrteMassnahmen): @root MUSS den Wert '1.2.40.0.34.11.2.2.4' haben.</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.4.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(DurchgefuehrteMassnahmen): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.4
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.4']]/hl7:section/hl7:code
Item: (DurchgefuehrteMassnahmen)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.4']]/hl7:section/hl7:code"
         id="tmp-94f51c88-267e-4132-9dfb-d23057b311a6">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.4.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(DurchgefuehrteMassnahmen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CE" haben</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.4.html"
              test="@nullFlavor or (@code='29554-3' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Procedures')">(DurchgefuehrteMassnahmen): Der Wert von @code/@codeSystem MUSS ''29554-3' codeSystem '2.16.840.1.113883.6.1' displayName='Procedures'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.4
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.4']]/hl7:section/hl7:title
Item: (DurchgefuehrteMassnahmen)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.4']]/hl7:section/hl7:title"
         id="tmp-fc44b5c4-5307-4e09-b9cf-4f323af7795a">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.4.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(DurchgefuehrteMassnahmen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ST" haben</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.4.html"
              test="text()='Durchgeführte Maßnahmen'">(DurchgefuehrteMassnahmen): Der Elementinhalt von 'hl7:title' MUSS ''Durchgeführte Maßnahmen'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.4
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.4']]/hl7:section/hl7:text
Item: (DurchgefuehrteMassnahmen)
-->
</pattern>