<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.2.2.7
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.2.2.7">
   <title>Empfohlene Medikation (enhanced)</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.7
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.7']]
Item: (EmpfohleneMedikationEnhanced)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.7
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.7']]/hl7:section
Item: (EmpfohleneMedikationEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.7']]/hl7:section"
         id="tmp-ac380402-3ccc-4d92-9188-f5c970f552d8">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.7.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.7'])&gt;=1 ">(EmpfohleneMedikationEnhanced): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.7'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.7.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.7'])&lt;=1">(EmpfohleneMedikationEnhanced): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.7'] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.7
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.7']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.7']
Item: (EmpfohleneMedikationEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.7']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.7']"
         id="tmp-f10c119e-0108-406f-a3eb-918a99fb1e08">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.7.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(EmpfohleneMedikationEnhanced): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.7.html"
              test="@root='1.2.40.0.34.11.2.2.7'">(EmpfohleneMedikationEnhanced): @root MUSS den Wert '1.2.40.0.34.11.2.2.7' haben.</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.7.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(EmpfohleneMedikationEnhanced): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.7
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.7']]/hl7:section/hl7:code
Item: (EmpfohleneMedikationAlleEIS)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.7']]/hl7:section/hl7:code"
         id="tmp-4e638c56-194d-486d-9825-d56a7768510f">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.7.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(EmpfohleneMedikationAlleEIS): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CE" haben</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.7.html"
              test="@nullFlavor or (@code='10183-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Hospital discharge medications')">(EmpfohleneMedikationAlleEIS): Der Wert von @code/@codeSystem MUSS ''10183-2' codeSystem '2.16.840.1.113883.6.1' displayName='Hospital discharge medications'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.7
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.7']]/hl7:section/hl7:title
Item: (EmpfohleneMedikationAlleEIS)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.7']]/hl7:section/hl7:title"
         id="tmp-95bab7e5-54df-4da3-b0e3-72a046e27e66">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.7.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(EmpfohleneMedikationAlleEIS): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ST" haben</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.7.html"
              test="text()='Empfohlene Medikation'">(EmpfohleneMedikationAlleEIS): Der Elementinhalt von 'hl7:title' MUSS ''Empfohlene Medikation'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.7
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.7']]/hl7:section/hl7:text
Item: (EmpfohleneMedikationAlleEIS)
-->
</pattern>