<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.4.3.1
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.4.3.1">
   <title>Laboratory Specimen Entry</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]
Item: (LaboratorySpecimenEntry)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry
Item: (LaboratorySpecimenEntry)
-->

<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry"
         id="tmp-b755796f-0481-41c1-8307-1b631efa9dca">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.4.3.1'])&gt;=1 ">(LaboratorySpecimenEntry): Element hl7:templateId[@root='1.2.40.0.34.11.4.3.1'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.4.3.1'])&lt;=1">(LaboratorySpecimenEntry): Element hl7:templateId[@root='1.2.40.0.34.11.4.3.1'] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:templateId[@root='1.2.40.0.34.11.4.3.1']
Item: (LaboratorySpecimenEntry)
-->

<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:templateId[@root='1.2.40.0.34.11.4.3.1']"
         id="tmp-8114808f-8b93-4898-a472-4f9d921d7f20">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(LaboratorySpecimenEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@root='1.2.40.0.34.11.4.3.1'">(LaboratorySpecimenEntry): @root MUSS den Wert '1.2.40.0.34.11.4.3.1' haben.</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.4.3.1.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(LaboratorySpecimenEntry): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act
Item: (LaboratorySpecimenEntry)
-->

<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act"
         id="tmp-7d3a3cf1-cb62-4492-b48c-a20e973e7fd7">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@classCode='ACT'">(LaboratorySpecimenEntry): Der Wert von @classCode MUSS 'ACT' sein.</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@moodCode='EVN'">(LaboratorySpecimenEntry): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(LaboratorySpecimenEntry): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:code)&lt;=1">(LaboratorySpecimenEntry): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:entryRelationship[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']])&gt;=1 and not(hl7:entryRelationship[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]/@nullFlavor)">(LaboratorySpecimenEntry): Element hl7:entryRelationship[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.4.3.1.html"
              test="count(hl7:entryRelationship[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']])&lt;=1">(LaboratorySpecimenEntry): Element hl7:entryRelationship[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:code
Item: (LaboratorySpecimenEntry)
-->

<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:code"
         id="tmp-84aca773-5162-4541-9f5f-d0bd2a60d4a9">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(LaboratorySpecimenEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CD" haben</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.4.3.1.html"
              test="@nullFlavor or (@code='10' and @codeSystem='1.2.40.0.34.5.47' and @displayName='Probeninformation' and @codeSystemName='ELGA_Laborstruktur')">(LaboratorySpecimenEntry): Der Wert von @code/@codeSystem MUSS ''10' codeSystem '1.2.40.0.34.5.47' displayName='Probeninformation' codeSystemName='ELGA_Laborstruktur'' sein.</assert>
   </rule>


   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act/hl7:entryRelationship[hl7:code[@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1']]
Item: (LaboratorySpecimenEntry)
--></pattern>